{"openapi":"3.0.4","info":{"title":"Get Custodian Account","description":"Retrieve the definition of a particular Custodian Account which is part of a Transaction Portfolios.","version":"0.0.1"},"servers":[{"url":"https://fbn-prd.lusid.com/api"}],"paths":{"/api/transactionportfolios/{scope}/{code}/custodianaccounts/{custodianAccountScope}/{custodianAccountCode}":{"get":{"tags":["Transaction Portfolios"],"summary":"Get Custodian Account","description":"Retrieve the definition of a particular Custodian Account which is part of a Transaction Portfolios.","operationId":"GetCustodianAccount","parameters":[{"name":"scope","in":"path","description":"The scope of the Transaction Portfolio.","required":true,"schema":{"maxLength":64,"minLength":1,"pattern":"^[a-zA-Z0-9\\-_]+$","type":"string"}},{"name":"code","in":"path","description":"The code of the Transaction Portfolio. Together with the scope this uniquely identifies the Transaction Portfolio.","required":true,"schema":{"maxLength":64,"minLength":1,"pattern":"^[a-zA-Z0-9\\-_]+$","type":"string"}},{"name":"custodianAccountScope","in":"path","description":"The scope of the Custodian Account.","required":true,"schema":{"maxLength":64,"minLength":1,"pattern":"^[a-zA-Z0-9\\-_]+$","type":"string"}},{"name":"custodianAccountCode","in":"path","description":"The code of the Custodian Account.","required":true,"schema":{"maxLength":64,"minLength":1,"pattern":"^[a-zA-Z0-9\\-_]+$","type":"string"}},{"name":"effectiveAt","in":"query","description":"The effective datetime or cut label at which to retrieve the Custodian Account properties. Defaults to the current LUSID system datetime if not specified.","schema":{"type":"string","format":"dateorcutlabel"}},{"name":"asAt","in":"query","description":"The asAt datetime at which to retrieve the Custodian Account definition. Defaults to returning the latest version of the Custodian Account definition if not specified.","schema":{"type":"string","format":"date-time"},"x-nullable":true},{"name":"propertyKeys","in":"query","description":"A list of property keys from the 'CustodianAccount' domain to decorate onto the Custodian Account.\r\n            These must take the format {domain}/{scope}/{code}, for example 'CustodianAccount/Manager/Id'. If no properties are specified, then no properties will be returned.","schema":{"type":"array","items":{"type":"string","description":"The key that uniquely identifies the property. It has the format {domain}/{scope}/{code}."}},"x-nullable":true}],"responses":{"200":{"description":"The requested Custodian Account definition","content":{"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/CustodianAccount"}},"text/plain":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/CustodianAccount"}},"text/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/CustodianAccount"}}}},"400":{"description":"The details of the input related failure","content":{"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidValidationProblemDetails"}},"text/plain":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidValidationProblemDetails"}},"text/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidValidationProblemDetails"}}}},"default":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidProblemDetails"}}}}},"security":[{"BearerAuth":[]}],"x-fbn-apistatus":"Stable"}}},"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}}}}